Name:           xboxdrv
Version:        0.8.5
Release:        8%{?dist}
Summary:        Userspace Xbox/Xbox360 Gamepad Driver for Linux

License:        GPLv3
URL:            http://pingus.seul.org/~grumbel/xboxdrv/
Source0:        http://pingus.seul.org/~grumbel/xboxdrv/%name-linux-%version.tar.bz2
Source1:        xboxdrv.service

BuildRequires:  SDL-devel 
BuildRequires:  zlib-devel 
BuildRequires:  mesa-libGL-devel 
BuildRequires:  scons 
BuildRequires:  libusbx-devel 
BuildRequires:  boost-devel 
BuildRequires:  systemd-devel 
BuildRequires:  glib2-devel 
BuildRequires:  dbus-glib-devel
BuildRequires:  pkgconfig

Requires:       dbus-python

%description
This is a Xbox/Xbox360 gamepad driver for Linux that works in userspace.
It is an alternative to the xpad kernel driver and has support for 
Xbox1 gamepads, Xbox360 USB gamepads and Xbox360 wireless gamepads, 
both first and third party.


%prep
%setup -q -n %{name}-linux-%{version}


%build
make PREFIX=/usr %{?_smp_mflags}

%install
make install PREFIX=/usr DESTDIR=%{buildroot}
install -D -m644 %SOURCE1 %{buildroot}%{_unitdir}/%{name}.service
#TODO fix dbus/hal stuff to make xboxdrvctrl usable again
rm -f %{buildroot}/%{_bindir}/xboxdrvctl
chmod 644 %{buildroot}%{_mandir}/man1/xboxdrv*


%preun
if [ $1 -eq 0 ] ; then
    # Package removal, not upgrade
    /bin/systemctl --no-reload disable %{name}.service > /dev/null 2>&1 || :
    /bin/systemctl stop %{name}.service > /dev/null 2>&1 || :
fi


%post
/sbin/ldconfig
if [ $1 -eq 1 ] ; then 
    # Initial installation 
    /bin/systemctl daemon-reload >/dev/null 2>&1 || :
fi


%postun
/sbin/ldconfig
/bin/systemctl daemon-reload >/dev/null 2>&1 || :
if [ $1 -ge 1 ] ; then
    # Package upgrade, not uninstall
    /bin/systemctl try-restart %{name}.service >/dev/null 2>&1 || :
fi


%files
%{_bindir}/xboxdrv
%{_mandir}/man1/xboxdrv*
%{_unitdir}/%{name}.service
%doc PROTOCOL NEWS AUTHORS COPYING README examples


%changelog
* Mon Jan 26 2015 Petr Machata <pmachata@redhat.com> - 0.8.5-8
- Rebuild for boost 1.57.0

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 23 2014 Petr Machata <pmachata@redhat.com> - 0.8.5-5
- Rebuild for boost 1.55.0

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jul 30 2013 Petr Machata <pmachata@redhat.com> - 0.8.5-3
- Rebuild for boost 1.54.0

* Tue Jun 04 2013 Marcel Wysocki <maci@satgnu.net> - 0.8.5-2
- spec cleanups
- fix man page permission

* Sun May 26 2013 Marcel Wysocki <maci@satgnu.net> - 0.8.5-1
- initial fedora port
